<%
var IDS_BALICENSE_DEBUG = "false";
var IDS_BALICENSE_CLSID = "baLChecker.LicenseChecker";
var IDS_BALICENSE_FUNCTION = "BALicenseChecker_OpenDialog()";

// predefined error codes:
//	300 (license or file is empty string)
//	101 invalid MAC address
//  102	invalid binary hash
//	200	invalid CRC
//	301 invalid license file


var IDS_BALICENSE_EXPIRED = 103;

var IDS_BALICENSE_NO_LICENSE = 501;
var IDS_BALICENSE_HREF = 502;
var IDS_BALICENSE_BUY_PROMPT = 503;
var IDS_BALICENSE_DIALOG_PROMPT = 504;
var IDS_BALICENSE_TIMELIMIT = 505;
var IDS_BALICENSE_OBJECTLIMIT = 506;
var IDS_BALICENSE_TRIAL = 507;
var IDS_BALICENSE_LOGO = 508;

var IDS_BALICENSE_DIALOG_HREF = "javascript: " + IDS_BALICENSE_FUNCTION;

var IDS_BALICENSEDLG_TITLE = 607;
var IDS_BALICENSEDLG_GETTRIAL = 608;
var IDS_BALICENSEDLG_GETFULL = 609
var IDS_BALICENSEDLG_TYPECODE = 610;
var IDS_BALICENSEDLG_CHECK = 611;
var IDS_BALICENSEDLG_CHECKOK = 612;

function baLicenseCheckerLocalizedStrings( nLCID )
{
	this.aStringTables = new Array;
	this.GetString = baLocalizedStrings_GetString;
	this.sLCID = nLCID; 
	
	switch (nLCID)
	{
	case 1049:
		this.aStringTables[300] = "Внимание: Лицензия не установлена.";
		this.aStringTables[101] = "Внимание: Обнаруженная лицензия недействительна для данного сервера.";
		this.aStringTables[102] = "Внимание: Обнаруженная лицензия недействительна для данной версии.";
		this.aStringTables[200] = "Внимание: Лицензия повреждена (не является допустимым кодом лицензии).";
		this.aStringTables[301] = "Внимание: Лицензия повреждена (неизвестный формат лицензии).";
		this.aStringTables[IDS_BALICENSE_EXPIRED] = "Внимание: Истек срок действия лиценции.";
		this.aStringTables[IDS_BALICENSE_HREF] = "http://www.bogdanov-associates.com/";
		this.aStringTables[IDS_BALICENSE_BUY_PROMPT] = "Купить полную версию продукта можно на <a href=\"{0}\">сайте авторов</a>.";
		this.aStringTables[IDS_BALICENSE_DIALOG_PROMPT] = "Получить пробную лицензию, а также ввести лицензионный код можно <a href=\"{0}\">на этой странице</a>.";
		this.aStringTables[IDS_BALICENSE_TIMELIMIT] = "Ваша лицензия имеет ограничение по сроку действия: до {0}.";
		this.aStringTables[IDS_BALICENSE_OBJECTLIMIT] = "Ваша лицензия имеет ограничение по количеству объектов: не более {0}.";
		this.aStringTables[IDS_BALICENSE_TRIAL] = "Внимание: Установлена пробная (trial) лицензия.";
		this.aStringTables[IDS_BALICENSE_LOGO] = "../IMAGES/ba_logo_rus.gif";

		this.aStringTables[IDS_BALICENSEDLG_TITLE] = "Управление лицензиями";
		this.aStringTables[IDS_BALICENSEDLG_GETTRIAL] = "Вы можете бесплатно заказать пробную (trial) лицензию для ознакомления с возможностями продукта. Для этого воспользуйтесь <a href=\"mailto:license@bogdanov-associates.com?subject=Trial license request&body={0}\">данным письмом</a>.";
		this.aStringTables[IDS_BALICENSEDLG_GETFULL] = "Если Вы хотите купить продукт, посетите <a href=\"{0}\" target=\"_blank\">наш сайт</a>.";
		this.aStringTables[IDS_BALICENSEDLG_TYPECODE] = "Если Вы уже получили код лицензии, скопируйте его в расположенное ниже поле и нажмите кнопку 'Проверить и сохранить'.";
		this.aStringTables[IDS_BALICENSEDLG_CHECK] = "Проверить и сохранить код";
		this.aStringTables[IDS_BALICENSEDLG_CHECKOK] = "Введенный код лицензии проверен и успешно сохранен.";

		break;
	default:
		this.aStringTables[300] = "Warning: License is not installed.";
		this.aStringTables[101] = "Warning: License is not valid for this server.";
		this.aStringTables[102] = "Warning: License is not valid for this product version.";
		this.aStringTables[200] = "Warning: License is corrupted.";
		this.aStringTables[301] = "Warning: Unknown license format.";
		this.aStringTables[IDS_BALICENSE_EXPIRED] = "Warning: Your license has expired.";
		this.aStringTables[IDS_BALICENSE_HREF] = "http://www.bogdanov-associates.com/eng/";
		this.aStringTables[IDS_BALICENSE_BUY_PROMPT] = "Follow <a href=\"{0}\">this link</a> to buy a full version of this product.";
		this.aStringTables[IDS_BALICENSE_DIALOG_PROMPT] = "Use <a href=\"{0}\">this page</a> to request free trial license key or to manage your licenses.";
		this.aStringTables[IDS_BALICENSE_TIMELIMIT] = "Your license will expire at {0}.";
		this.aStringTables[IDS_BALICENSE_OBJECTLIMIT] = "Your license allow particular number of objects: no more than {0}.";
		this.aStringTables[IDS_BALICENSE_TRIAL] = "Warning: You have a trial license.";
		this.aStringTables[IDS_BALICENSE_LOGO] = "../IMAGES/ba_logo_int.gif";

		this.aStringTables[IDS_BALICENSEDLG_TITLE] = "License management";
		this.aStringTables[IDS_BALICENSEDLG_GETTRIAL] = "You may request free trial key to evaluate this product. Send <a href=\"mailto:license@bogdanov-associates.com?subject=Trial license request&body={0}\">this letter</a> to receive a key.";
		this.aStringTables[IDS_BALICENSEDLG_GETFULL] = "To buy this product, please visit our <a href=\"{0}\" target=\"_blank\">web site</a>.";
		this.aStringTables[IDS_BALICENSEDLG_TYPECODE] = "If you already received license key, copy it into the textbox below and click 'Check and Save'.";
		this.aStringTables[IDS_BALICENSEDLG_CHECK] = "Check and Save";
		this.aStringTables[IDS_BALICENSEDLG_CHECKOK] = "Your license key was successfully validated and saved.";

		break;
	}

	function baLocalizedStrings_GetString( nStringID )
	{
		return this.aStringTables[nStringID]
	}
}


function baLicenseChecker(LicChecker, nLCID) 
{

	var me = this;

	this.baStrings = new baLicenseCheckerLocalizedStrings(nLCID);
	this.LicenseChecker = LicChecker;

	this.BuyLink = this.baStrings.GetString(IDS_BALICENSE_HREF);
	this.ProductTitle = ""; /* устарело */

	this.WriteWarnings = _writeWarnings;
	this.WriteHeader = _writeHeader; /* устарел */
	this.WriteScript = _writeScript;

	this.WriteWarningsShort = _writeWarningsShort;
	this.warningsWritten=false;

	function _writeWarningsShort() 
	{
		var _lc = me.LicenseChecker, _unlimitedDate = new Date(2099, 11, 31);
		me.warningsWritten=true;
		do 
		{
			if (_lc.ValidationResult != 0) 
			{
				Response.Write("<SPAN style='color:red; font-weight:bold;'>");
				Response.Write(me.baStrings.GetString(_lc.ValidationResult));
				Response.Write("</SPAN><BR/>");
				break;
			}

			if (new Date(_lc.TimeLimitValueDT) < new Date()) 
			{
				Response.Write("<SPAN style='color:red; font-weight:bold;'>");
				Response.Write(me.baStrings.GetString(IDS_BALICENSE_EXPIRED));
				Response.Write("</SPAN><BR/>");
				break;
			}

			if (_lc.LicenseType==0)
			{
				Response.Write("<SPAN style='color:red; font-weight:bold;'>");
				Response.Write(me.baStrings.GetString(IDS_BALICENSE_TRIAL));
				Response.Write("</SPAN><BR/>");
			}
		
			if (new Date(_lc.TimeLimitValueDT).toUTCString() != _unlimitedDate.toUTCString())
			{
				var _dt2 = new Date(_lc.TimeLimitValueDT);
				if (me.baStrings.sLCID == "1049")
					_dt2 = _dt2.getDate() + "." + ("0"+(_dt2.getMonth()+1)).slice(-2) + "." + _dt2.getFullYear();
				else
					_dt2 = ("0"+(_dt2.getMonth()+1)).slice(-2) + "/" + ("0" + _dt2.getDate()).slice(-2) + "/" + _dt2.getFullYear();

				Response.Write("<SPAN style='color:red; font-weight:bold;'>");
				Response.Write(me.baStrings.GetString(IDS_BALICENSE_TIMELIMIT).replace(/\{0\}/g, _dt2));
				Response.Write("</SPAN><BR/>");
			}

			if (_lc.ObjectCountLimitValue != 0)
			{
				Response.Write("<SPAN style='color:red; font-weight:bold;'>");
				Response.Write(me.baStrings.GetString(IDS_BALICENSE_OBJECTLIMIT).replace(/\{0\}/g, _lc.ObjectCountLimitValue));
				Response.Write("</SPAN><BR/>");
			}

		} while (false);
	}

	function _writeWarnings(extraTextEscaped) 
	{
		var _lc = me.LicenseChecker, _unlimitedDate = new Date(2099, 11, 31);
		if (extraTextEscaped == null || extraTextEscaped == "") extraTextEscaped = me.ProductTitle;

		Response.Write("<IMG onclick=\"window.open('");
		Response.Write(me.baStrings.GetString(IDS_BALICENSE_HREF));
		if (extraTextEscaped != null && extraTextEscaped != "") 
		{
		Response.Write("')\" style=\"cursor:hand; float:right; margin-left:10px; margin-top: 3px;\" src=\"")
		}
		else
		{
		Response.Write("')\" style=\"cursor:hand; float:right; margin-left:10px; margin-top: -2px;\" src=\"")
		}
		Response.Write(me.baStrings.GetString(IDS_BALICENSE_LOGO));
		Response.Write("\" alt=\"\"/>")
		
		_writeWarningsShort();

		if (_lc.ValidationResult!=0 || _lc.LicenseType==0 || (new Date(_lc.TimeLimitValueDT))<(new Date())) 
		{
			Response.Write(me.baStrings.GetString(IDS_BALICENSE_BUY_PROMPT).replace(/\{0\}/g, me.BuyLink));
			Response.Write("<BR/>");
		}

		if ( !(_lc.ValidationResult==0 && _lc.LicenseType==1 && (new Date(_lc.TimeLimitValueDT).toUTCString() ==_unlimitedDate.toUTCString()) && _lc.ObjectCountLimitValue==0) ) 
		{
			Response.Write(me.baStrings.GetString(IDS_BALICENSE_DIALOG_PROMPT).replace(/\{0\}/g, IDS_BALICENSE_DIALOG_HREF));
		}

		if (extraTextEscaped != null && extraTextEscaped != "") 
		{
			Response.Write("<span style=\"display:block; \">");
			Response.Write(extraTextEscaped);
			Response.Write("</span>");
		}
	}

	function _writeHeader() 
	{
		/* устарело */
	}

	function _writeScript()
	{
		Response.Write("<scr"+"ipt type=\"text/jscript\">");
		Response.Write("function "+IDS_BALICENSE_FUNCTION);
		Response.Write("{");
		Response.Write("var dllName=unescape('"+escape(me.LicenseChecker.DllName)+"');");
		Response.Write("var productName=unescape('"+escape(me.LicenseChecker.ProductName)+"');");
		Response.Write("var licRequest=unescape('"+escape(me.LicenseChecker.LicenseRequest)+"');");
		Response.write("window.showModalDialog(\"../Library/baLicenseToolbox.asp?licreq="+escape(me.LicenseChecker.LicenseRequest)+"&buyurl="+escape(me.BuyLink)+"&warnings="+me.warningsWritten+"&status="+me.LicenseChecker.Validationresult+"&licenseok="+(me.LicenseChecker.IsLicenseValid ? "1" : "0") + "\", Array(window, dllName, productName), \"status:0; resizable:0; dialogwidth:420px; dialogheight:260px; help:no;\");");
		Response.Write("}");
		Response.Write("</scr"+"ipt>");
	}

}

// Copyright © 2004 Bogdanov & Associates. All rights reserved.
%>