/*
	Installation script 
		for LicenseChecker module
			for B&A products

	(c) Bogdanov & Associates, 2004
*/

var debug = false; /* Set to 'true' to enable debug messages during installation */ 
var wsh = WScript.CreateObject("Wscript.Shell");
var fso = WScript.CreateObject("Scripting.FileSystemObject");


// Reading destination path (default used if not specified)

var destDir = "C:\\Program Files\\Microsoft Project\\IIS Virtual Root";
// Using directory
destDir = wsh.RegRead("HKLM\\Software\\Microsoft\\Office\\11.0\\MS Project\\Services\\Configuration\\Views Notification\\Directory")
destDir = fso.GetParentFolderName(fso.GetParentFolderName(destDir));
destDir += "\\IIS Virtual Root";
// Override by command line argument
if (WScript.Arguments.unnamed.count!=0) 
	destDir = WScript.Arguments.unnamed.item(0);
if (debug) WScript.Echo("Destination folder: " + destDir);


// Checking destination folder existance

try 
{
	var dir = fso.GetFolder(destDir);
} 
catch (e)
{
	WScript.Echo("Error checking destination directory '" + destDir + "':\n" + e.description);
	WScript.Quit(1);
}


// Checking destination folder contents (look for known file)
try 
{
	var file = fso.GetFile(destDir + "\\LIBRARY\\application.asp");
}
catch(e)
{
	WScript.Echo("Error checking destination directory contents:\nError returned when opening file '" + destDir + "\\LIBRARY\\application.asp" + "':\n" + e.description + "\n\nTarget folder does not contain ProjectWebAccess files");
	WScript.Quit(1);
}


// Working!!!

var srcDir = WScript.ScriptFullName.slice(0, -1-WScript.ScriptName.length);
if (debug) WScript.Echo("Source folder: " + srcDir);

if (debug) WScript.Echo("Ready to copy")

// Overwriting all other files
fso.CopyFile(srcDir+ "\\IISVirtualRoot_IMAGES\\ba_logo_int.gif", destDir + "\\IMAGES\\ba_logo_int.gif", true);
fso.CopyFile(srcDir+ "\\IISVirtualRoot_IMAGES\\ba_logo_rus.gif", destDir + "\\IMAGES\\ba_logo_rus.gif", true);

fso.CopyFile(srcDir+ "\\IISVirtualRoot_LIBRARY\\baLicenseChecker.asp", destDir + "\\LIBRARY\\baLicenseChecker.asp", true);
fso.CopyFile(srcDir+ "\\IISVirtualRoot_LIBRARY\\baLicenseToolbox.asp", destDir + "\\LIBRARY\\baLicenseToolbox.asp", true);
fso.CopyFile(srcDir+ "\\IISVirtualRoot_LIBRARY\\baLicenseToolbox_save.asp", destDir + "\\LIBRARY\\baLicenseToolbox_save.asp", true);

var destDir = fso.GetParentFolderName(destDir);
if (debug) WScript.Echo("BIN folder: " + destDir);
fso.CopyFile(srcDir+ "\\ProjectServer_BIN\\baLChecker.dll", destDir + "\\BIN\\baLChecker.dll", true);

// Registering DLL
var ret = wsh.Run("regsvr32 \"" + destDir + "\\BIN\\baLChecker.dll" + "\"", 1, true);

if (ret == 0)
	WScript.Echo("Installation completed.");
else
	WScript.Echo("Failed, REGSVR32 return code = " + ret);
